% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/misc_and_utility.r
\name{umx_pb_note}
\alias{umx_pb_note}
\title{umx_pb_note}
\usage{
umx_pb_note(title = "test", body = "default body", auth_key = NA)
}
\arguments{
\item{title}{of the note}

\item{body}{of the note}

\item{auth_key}{optional authkey (default = NA, set to value of your key to store key.}
}
\description{
Use the pushbullet service to push a note. You can also initialise this
service by providing your autho_key one time
}
\details{
If you supply auth_key, It will be writen to "~/.pushbulletkey"
\code{\link{umx_pb_note}}(auth_key="mykeystring")
once it exists there, you dont need to store it in code, so code is sharable.

You can get your autho code at \url{https://www.pushbullet.com/account}

\strong{Note}: You can show the existing stored key using "GET"
}
\examples{
\dontrun{
umx_pb_note("done!", umx_time(m1))
}
}
\references{
- \url{https://github.com/tbates/umx}, \url{https://tbates.github.io}
}
\seealso{
- \code{\link{umx_msg}}

Other Miscellaneous Utility Functions: \code{\link{qm}};
  \code{\link{umx_explode}}; \code{\link{umx_find_object}};
  \code{\link{umx_grep}}; \code{\link{umx_msg}};
  \code{\link{umx_names}}; \code{\link{umx_paste_names}};
  \code{\link{umx_print}}; \code{\link{umx_rename}};
  \code{\link{umx_rot}}; \code{\link{umx_trim}};
  \code{\link{umx}}, \code{\link{umx-package}}
}

